<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.21022</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{2C24D515-4A2C-445C-8419-C09231913CFA}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AssemblyName>MonoDevelop.DesignerSupport</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\..\build\AddIns\MonoDevelop.DesignerSupport</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <Execution>
      <Execution clr-version="Net_2_0" />
    </Execution>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\..\build\AddIns\MonoDevelop.DesignerSupport</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <Execution>
      <Execution clr-version="Net_2_0" />
    </Execution>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Drawing.Design" />
    <Reference Include="System.Design" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Web" />
    <Reference Include="System.Drawing" />
    <Reference Include="Mono.Posix" />
    <Reference Include="Mono.Addins, Version=0.4.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756">
      <SpecificVersion>False</SpecificVersion>
    </Reference>
    <Reference Include="glib-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="pango-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="atk-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="gdk-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="gtk-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="Mono.Cairo" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\core\MonoDevelop.Core\MonoDevelop.Core.csproj">
      <Project>{7525BB88-6142-4A26-93B9-A30C6983390A}</Project>
      <Name>MonoDevelop.Core</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\core\MonoDevelop.Components\MonoDevelop.Components.csproj">
      <Project>{3344D566-484B-4AEC-BBCF-86BC484D14B0}</Project>
      <Name>MonoDevelop.Components</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\core\MonoDevelop.Ide\MonoDevelop.Ide.csproj">
      <Project>{27096E7F-C91C-4AC6-B289-6897A701DF21}</Project>
      <Name>MonoDevelop.Ide</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\core\MonoDevelop.Core.Gui\MonoDevelop.Core.Gui.csproj">
      <Project>{659B0888-3956-4040-BDB1-B45F6D64E7FA}</Project>
      <Name>MonoDevelop.Core.Gui</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\core\MonoDevelop.Projects\MonoDevelop.Projects.csproj">
      <Project>{04BED15A-DDC5-48BC-A36C-3E360A0348C0}</Project>
      <Name>MonoDevelop.Projects</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\core\MonoDevelop.Projects.Gui\MonoDevelop.Projects.Gui.csproj">
      <Project>{00E87426-F1BD-4B55-9B3E-7267EE93E002}</Project>
      <Name>MonoDevelop.Projects.Gui</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\contrib\Mono.Cecil\Mono.Cecil.csproj">
      <Project>{3EC06433-F168-4C5B-A885-99CE4AB617E1}</Project>
      <Name>Mono.Cecil</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\DefaultPropertyTab.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\EditorManager.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\EventPropertyTab.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\PropertyEditorTypeAttribute.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\PropertyValueChangedEventHandler.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\SurrogateUITypeEditorAttribute.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\CollectionEditor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\DefaultEditor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\EventEditor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\ExpandableObjectEditor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\ItemToolboxNode.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\TextToolboxNode.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\Toolbox.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\ToolboxItemToolboxNode.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\PropertyPad.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\DesignerSupportService.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\ToolboxPad.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\IToolboxConsumer.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\IToolboxLoader.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\ToolboxItemToolboxLoader.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\UnknownToolboxNode.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\TypeToolboxNode.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\WrapperDesignView.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\ToolboxService.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\BindingService.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\MemberExistsException.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\RemoteDesignerProcess.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\IToolboxProvider.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\ToolboxList.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\TypeReference.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\IPropertyPadProvider.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\PropertyPadVisitor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\PropertyGrid.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\PropertyEditorCell.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\EnumerationEditorCell.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\FlagsEditorCell.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\FlagsSelectorDialog.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\BooleanEditorCell.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\ColorEditorCell.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\TextEditor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\TextEditorDialog.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\IntRange.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\FloatRange.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\PropertyGridTree.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid\PropertyValueChangedEventArgs.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\DateTimeEditor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\TimeSpanEditor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.PropertyGrid.Editors\CharPropertyEditor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\IPropertyProvider.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Projects\ComponentNodeBuilder.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Projects\ProjectItemPropertyProvider.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\CustomDescriptor.cs" />
    <Compile Include="gtk-gui\generated.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\ComponentSelectorDialog.cs" />
    <Compile Include="gtk-gui\MonoDevelop.DesignerSupport.Toolbox.ComponentSelectorDialog.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\ToolboxConfiguration.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\Commands.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Projects\PropertyPadTextEditorExtension.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\OpenDocumentFileProvider.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\ErrorInFileException.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\TypeNotFoundException.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Projects\ProjectReferenceDescriptor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Projects\ProjectFileDescriptor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Projects\SolutionItemPropertyProvider.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Projects\SolutionItemDescriptor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\ToolboxWidget.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\DocumentOutlinePad.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\IOutlinedDocument.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\ITextToolboxNode.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\CodeTemplateToolboxProvider.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\CecilToolboxItemLoader.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Toolbox\CecilTypeResolver.cs" />
    <Compile Include="MonoDevelop.DesignerSupport.Projects\WorkspaceItemDescriptor.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\ClassOutlineTextEditorExtension.cs" />
    <Compile Include="MonoDevelop.DesignerSupport\CodeBehind.cs" />
    <Compile Include="AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="MonoDevelop.DesignerSupport.addin.xml" />
    <EmbeddedResource Include="icons\MonoDevelop.DesignerSupport.PropertyGrid.DefaultPropertyTab.bmp">
      <LogicalName>MonoDevelop.DesignerSupport.PropertyGrid.DefaultPropertyTab.bmp</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="icons\MonoDevelop.DesignerSupport.PropertyGrid.EventPropertyTab.bmp">
      <LogicalName>MonoDevelop.DesignerSupport.PropertyGrid.EventPropertyTab.bmp</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="icons\MonoDevelop.DesignerSupport.PropertyGrid.SortByCat.png">
      <LogicalName>MonoDevelop.DesignerSupport.PropertyGrid.SortByCat.png</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="icons\group-by-category.png">
      <LogicalName>group-by-category.png</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="gtk-gui\gui.stetic">
      <LogicalName>gui.stetic</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="icons\md-design-listboxtoggle.png">
      <LogicalName>md-design-listboxtoggle.png</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="icons\properties-pad-16.png">
      <LogicalName>properties-pad-16.png</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="icons\toolbox-pad-16.png">
      <LogicalName>toolbox-pad-16.png</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="icons\pad-document-outline-16.png">
      <LogicalName>pad-document-outline-16.png</LogicalName>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="Makefile.am" />
    <None Include="ChangeLog" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ProjectExtensions>
    <MonoDevelop>
      <Properties>
        <MonoDevelop.Autotools.MakefileInfo IntegrationEnabled="true" RelativeMakefileName="Makefile.am" BuildTargetName="" CleanTargetName="" SyncReferences="true" IsAutotoolsProject="true" RelativeConfigureInPath="../../../">
          <BuildFilesVar Sync="true" Name="FILES" />
          <DeployFilesVar />
          <ResourcesVar Sync="true" Name="RES" />
          <OthersVar />
          <GacRefVar Sync="true" Name="REFS" Prefix="-r:" />
          <AsmRefVar Sync="true" Name="REFS" Prefix="-r:" />
          <ProjectRefVar Sync="true" Name="DEPS" />
        </MonoDevelop.Autotools.MakefileInfo>
      </Properties>
    </MonoDevelop>
  </ProjectExtensions>
</Project>